Scilab Function

speye - matrice identité creuse

### Calling Sequence

  `Isp=speye(nrows,ncols)`
  `Isp=speye(A)`

### Parameters

- `nrows` : entier (nombre de lignes)
- `ncols` : entier (nombre de colonnes)
- `A` : matrice creuse
- `sp` : matrice identité creuse

### Description

`Isp=speye(nrows,ncols)` renvoie une matrice identité creuse `Isp` avec `nrows` lignes et `ncols` colonnes.

`Isp=speye(A)` renvoie une matrice identité creuse de même taille que `A` . Si `[m,n]=size(A)` , les commandes `speye(m,n)` et `speye(A)` sont équivalentes. En particulier `speye(3)` n'est pas équivalent à `speye(3,3)` .

### Examples

    eye(3,3)-full(speye(3,3))

### See Also

`sparse` , `full` , `eye` , `spzeros` , `spones` ,